%define name	grace
%define version	5.1.4
%define release 4mdk

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Numerical Data Processing and Visualization Tool (Grace)
License: GPL
Url: http://plasma-gate.weizmann.ac.il/Grace/
Source0: ftp://plasma-gate.weizmann.ac.il/pub/grace/src/%{name}-%{version}.tar.bz2
Source1: grace-icons.tar.bz2
Group: Sciences/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: /usr/X11R6
BuildRequires: zlib1-devel,libjpeg62-devel,libtiff3-devel,lesstif-devel,netcdf-devel,libpng2-devel, t1lib1-devel
####################################################################
# WARNING: pdflib-devel is required too, if you want to enable pdf #
# support. Keep in mind that pdflib is not free (Aladdin FPL).     #
####################################################################

%description
Grace is a Motif/Lesstif application for two-dimensional data
visualization. Grace can transform the data using free equations, FFT,
cross- and auto-correlation, differences, integrals, histograms, and
much more. The generated figures are of high quality.  Grace is a very
convenient tool for data inspection, data transformation, and for
making figures for publications.


%package devel
Group:		Development/Other
Summary:	Library and header files for Grace-linked apps development
Requires:	grace = %{version}
License:	LGPL

%description devel
This package includes header and library files needed to
develop programs which will use grace as a subprocess.
This feature is currently (%{name}-%{version}) available for
C and Fortran77 languages.


%prep

%setup -a 1


%build
%configure --prefix=%{prefix} \
	--enable-grace-home=%{prefix}/lib/X11/grace \
	--enable-editres
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} \
     GRACE_HOME=$RPM_BUILD_ROOT%{prefix}/lib/X11/grace
%define gracedir %{prefix}/lib/X11/grace
%define grace_bindir %{gracedir}/bin
%define pkg_bindir $RPM_BUILD_ROOT%{prefix}/bin
install -d %{pkg_bindir}
ln -sf %{grace_bindir}/xmgrace %{pkg_bindir}/grace
ln -sf %{grace_bindir}/xmgrace %{pkg_bindir}/gracebat
ln -sf %{grace_bindir}/xmgrace %{pkg_bindir}/xmgrace
ln -sf %{grace_bindir}/convcal %{pkg_bindir}/convcal
ln -sf %{grace_bindir}/fdf2fit %{pkg_bindir}/fdf2fit
ln -sf %{grace_bindir}/grconvert %{pkg_bindir}/grconvert

install -d $RPM_BUILD_ROOT%{_includedir}
ln -sf %{gracedir}/include/grace_np.h \
	$RPM_BUILD_ROOT%{_includedir}/grace_np.h
install -d $RPM_BUILD_ROOT%{_libdir}
ln -sf %{gracedir}/lib/libgrace_np.a \
    $RPM_BUILD_ROOT%{_libdir}/libgrace_np.a

install -d $RPM_BUILD_ROOT%{_mandir}/man1
mv $RPM_BUILD_ROOT%{gracedir}/doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/grace
?package(grace):command="xmgrace" needs="x11" icon="grace.xpm"\
                section="Applications/Sciences/Other" title="Grace" \
                longtitle="Graphical visualization of scientific data"
EOF

install -d $RPM_BUILD_ROOT%{_miconsdir}
install -d $RPM_BUILD_ROOT%{_iconsdir}
install -d $RPM_BUILD_ROOT%{_liconsdir}
cd grace-icons;
cp grace16.xpm $RPM_BUILD_ROOT%{_miconsdir}/grace.xpm;
cp grace32.xpm $RPM_BUILD_ROOT%{_iconsdir}/grace.xpm;
cp grace48.xpm $RPM_BUILD_ROOT%{_liconsdir}/grace.xpm;


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr (-,root,root)
%doc CHANGES COPYRIGHT DEVELOPERS LICENSE README ChangeLog
%{_mandir}/man1/grace.1*
%{_mandir}/man1/gracebat.1*
%{_mandir}/man1/xmgrace.1*
%{_mandir}/man1/grconvert.1*
%{prefix}/lib/X11/grace/auxiliary
%{prefix}/lib/X11/grace/bin
%{prefix}/lib/X11/grace/doc
%{prefix}/lib/X11/grace/examples
%{prefix}/lib/X11/grace/fonts
%{prefix}/lib/X11/grace/grace*
%{prefix}/lib/X11/grace/templates
%{prefix}/bin/grace
%{prefix}/bin/gracebat
%{prefix}/bin/xmgrace
%{prefix}/bin/convcal
%{prefix}/bin/fdf2fit
%{prefix}/bin/grconvert
%{_menudir}/grace
%{_miconsdir}/grace.xpm
%{_iconsdir}/grace.xpm
%{_liconsdir}/grace.xpm

%files devel
%defattr (-,root,root)
%{prefix}/lib/X11/grace/include
%{prefix}/lib/X11/grace/lib
%{_includedir}/grace_np.h
%{_libdir}/libgrace_np.a


%changelog
* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 5.1.4-4mdk
- fix license for grace-devel

* Tue Jul 24 2001  Lenny Cartier <lenny@mandrakesoft.com> 5.1.4-3mdk
- url

* Wed Jul 11 2001  Lenny Cartier <lenny@mandrakesoft.com> 5.1.4-2mdk
- change spec name

* Tue Jul 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 5.1.4-1mdk
- updated to 5.1.4

* Fri Jun 22 2001  Lenny Cartier <lenny@mandrakesoft.com> 5.1.3-3mdk 
- fixes from Thomas Leclerc <leclerc@linux-mandrake.com> (on 3mdk & 2mdk ) :
	- add menu entry

* Wed May 23 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 5.1.3-2mdk
- separate grace-devel
- use installed t1lib
- remove pdf support due to license problem

* Fri May 18 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 5.1.3-1mdk
- upgrade to 5.1.3
- use installed fftw
- add pdf support with pdflib (WARNING: AFPL, not GPL)
- suppress static (useless with lesstif)
- more macros, clean spec

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 5.1.2-1mdk
- updated to 5.1.2
- use installed Xbae

* Thu Sep 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.1.1-2mdk
- bm & macros

* Sat Aug 26 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.1.1-1mdk
- initial Mandrake release.
- added BuildRequires.
- added --with-bundled-xbae.

* Mon Apr  3 2000 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.1.0

* Fri Dec 17 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 991217

* Fri Oct  8 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.0.5pre1
- added canvas patch

* Fri Oct  1 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.0.5pre0

* Fri Sep 17 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- fixed the string copy problem (#611)

* Tue Sep 14 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.0.4gamma

* Tue Jun 29 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 990629

* Fri Jun 18 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 990614

* Wed May 19 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 990519

* Mon Apr 26 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 990424

* Wed Apr  7 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- patched pars.yacc to enable "(cond) ? a : b"

* Sun Feb 28 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.0.2beta

* Mon Feb  1 1999 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-990131

* Tue Jan 12 1999 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-981231

* Tue Dec 15 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-981203

* Tue Nov  3 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-981102

* Thu Oct 22 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-981021
- added patch for using -bxy "0:1", i.e. for using column specification
  "0" for index.

* Tue Sep  8 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-5.0.1pre

* Thu Jul 16 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- added autoscale patch

* Wed Jul 15 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- initial revision of GRACE rpms
